# Панель администратора для настройки устройств и управления данными системы

Приложение предоставляет полный доступ для управления данными в базе данных, а также возможность настройки оборудования и отслеживание заявок.
Защищена авторизацией

## Запуск приложения

Для приложения требуется БД и конфигурация подключения к БД.
Также для работы приложения нужен запущенный сервер авторизации.

Для запуска приложения нужно выполнить команду 

`gradle bootRun`

## Сборка приложения

`gradle vaadinBuildFrontend bootJar`

## Основные страницы

- MainLayout - оболочка панели администратора с навигацией;
- ClientView - страница просмотра, редактирования и удаления клиентов;
- DoorView - страница просмотра, редактирования и удаления дверей. Здесь же настраиваются дополнительные двери и расписание для дверей;
- PartnerView - страница просмотра, редактирования и удаления дверей;
- RentView - страница просмотра, редактирования и удаления бронирований;
- UnitView - страница просмотра, редактирования и удаления устройств.